// Listing R3.2
#include<iostream.h>
class Animal
{
public:
   virtual void Speak() { cout << "Animal 
                   Speaks\n"; }
};

class Dog : public Animal
{
public:
   void Speak() { cout << "Dog Speaks\n"; }
};


class Cat : public Animal
{
public:
   void Speak() { cout << "Cat Speaks\n"; }
};

void DoIt(Cat*);
void DoIt(Dog*);

int main()
{

   Animal * pA = new Dog;
   DoIt(pA);
   return 0;
}

void DoIt(Cat * c)
{
   cout << "They passed a cat!\n" << endl;
   c->Speak();
}

void DoIt(Dog * d)
{
   cout << "They passed a dog!\n" << endl;
   d->Speak();
}
What you can do, of course, is to use a virtual function, which partially solves the problem.
#include<iostream.h>

class Animal
{
public:
   virtual void Speak() { cout << "Animal Speaks\n"; }
};

class Dog : public Animal
{
public:
   void Speak() { cout << "Dog Speaks\n"; }
};


class Cat : public Animal
{
public:
   void Speak() { cout << "Cat Speaks\n"; }
};

void DoIt(Animal*);

int main()
{

   Animal * pA = new Dog;
   DoIt(pA);
   return 0;
}

void DoIt(Animal * c)
{
   cout << "They passed some kind of 
                  animal\n" << endl;
   c->Speak();
}
